POST
/industry/queryIndustryPage管理后台行业-分页查询
商户·店铺·基础数据 / 行业
基本信息
- 接口状态前端在用
- 接口URLPOST
https://dscp-dev.hn12301.net/manage-api/industry/queryIndustryPage - 请求方式
POST - Content-Type
application/json - 暴露渠道管理后台 前缀
/manage-api - 名称来源源码注释
- 调用方已确认在用 · 管理后台(1 个前端)
- 需求上下文
- 维护人 / 最后改动AsiQue 2023-11-24
- 读写数据表
industry反查该表全部接口 → - 控制器
com.jxxx.dscp.api.controller.industry.IndustryController#queryIndustryPage - 源码位置
jxxx-dscp/dscp-service-business/src/main/java/com/jxxx/dscp/api/controller/industry/IndustryController.java:88 - 判定依据
请求参数
Header 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无(渠道统一鉴权头见《认证方式》) | ||||
Query 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
路径参数及说明
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
Body 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| pageNo | … | 否 | Integer | 当前页面 |
| pageSize | … | 否 | Integer | 每页记录数 |
| orderBy | … | 否 | String | 排序语句 |
| code | … | 否 | String | code → industry.code |
| name | … | 否 | String | 名称 → industry.name |
| state | … | 否 | Boolean | 状态 → industry.state |
| parentCode | … | 否 | String | 父code → industry.parent_code |
| idList | … | 否 | List<Long> | id列表 |
| keywords | … | 否 | String | 关键字 |
认证方式
响应参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| list | … | 否 | List<T><IndustryResponse> | 分页数据集合(元素结构见下一行) |
| id | … | 否 | Long | id → industry.id |
| code | … | 否 | String | code → industry.code |
| name | … | 否 | String | 名称 → industry.name |
| state | … | 否 | Boolean | 状态 → industry.state |
| parentCode | … | 否 | String | 父code → industry.parent_code |
| children | … | 否 | List<IndustryResponse> | 子列表 |
| total | … | 否 | Long | 数据总数 |
响应示例
成功响应示例
{
"errcode": 0,
"errmsg": "",
"data": {
"list": "[]",
"id": "1",
"code": "\"string\"",
"name": "\"string\"",
"state": "false",
"parentCode": "\"string\"",
"children": "[]",
"total": "1"
}
}附录 · 实现细节
调用链 / 数据表 / 调用点证据 / 源码注释 / 逻辑摘要
涉及数据表:industry 反查全部引用接口 →
- IndustryController#queryIndustryPage
- IndustryService#queryPage(IndustryServiceImpl)
- IndustryMapper#queryPage
- BeanUtils.mapPage → IndustryQuery
逻辑摘要:分页查询(industryService.queryPage);入参与返回值经 BeanUtils 做对象/分页映射
旧站环境备注:pro:(仓库 .env.pro 指向 uat;生产域名未确认,此处沿用 uat 主机示意)
调用点证据
dscp-html-manage/src/api/industry/index.ts:10管理后台 · request